Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Interface FontEventListener

All Known Implementing Classes:
  FontEventAdapter

    public interface FontEventListener

Event listener interface for font-related events.

Method Summary
`void` | `fontDirectoryNotFound(java.lang.Object source, java.lang.String dir)` An error occurred trying to find the font directory specified in the config file.
`void` | `fontLoadingErrorAtAutoDetection(java.lang.Object source, java.lang.String fontURL, java.lang.Exception e)` An error occurred while loading a font for auto-detection.
`void` | `fontSubstituted(java.lang.Object source, FontTriplet requested, FontTriplet effective)` Notifies about a font being substituted as the requested one isn't available.
`void` | `glyphNotAvailable(java.lang.Object source, char ch, java.lang.String fontName)` A glyph has been requested that is not available in the font.
`void` | `svgTextStrokedAsShapes(java.lang.Object source, java.lang.String fontFamily)` The SVG text will be stroked as shapes.

Method Detail

### fontSubstituted

    void fontSubstituted(java.lang.Object source,
                         FontTriplet requested,
                         FontTriplet effective)

  Notifies about a font being substituted as the requested one isn't available.

  Parameters:
    `source` - the event source
    `requested` - the requested font triplet
    `effective` - the effective font triplet

### fontLoadingErrorAtAutoDetection

    void fontLoadingErrorAtAutoDetection(java.lang.Object source,
                                         java.lang.String fontURL,
                                         java.lang.Exception e)

  An error occurred while loading a font for auto-detection.

  Parameters:
    `source` - the event source
    `fontURL` - the font URL
    `e` - the original exception

### glyphNotAvailable

    void glyphNotAvailable(java.lang.Object source,
                           char ch,
                           java.lang.String fontName)

  A glyph has been requested that is not available in the font.

  Parameters:
    `source` - the event source
    `ch` - the character for which the glyph isn't available
    `fontName` - the name of the font

### fontDirectoryNotFound

    void fontDirectoryNotFound(java.lang.Object source,
                               java.lang.String dir)

  An error occurred trying to find the font directory specified in the config file.

  Parameters:
    `source` - the event source
    `dir` - the directory in the config file

### svgTextStrokedAsShapes

    void svgTextStrokedAsShapes(java.lang.Object source,
                                java.lang.String fontFamily)

  The SVG text will be stroked as shapes.

  Parameters:
    `source` - the event source
    `fontFamily` - the family name of the font that is being stroked

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.